librepo

  • Update to 1.12.0
  • Decode package URL when using for local filename (RhBug:1817130)
  • Fix memory leak in lr_download_metadata() and lr_yum_download_remote()
  • Download sources work when at least one of specified is working (RhBug:1775184)
  • Enable building on OSX

drpm

  • Update to 0.5.0
  • Fix a memory leak on invalid input
  • Hide the internal library symbols

createrepo_c

  • Update to 0.15.11
  • Switch updateinfo to explicitly include bool values (RhBug:1772466)
  • Enhance error handling when locating repositories (RhBug:1762697)
  • Make documentation for --update-md-path more specific
  • Clean up temporary .repodata on sigint
  • Add relogin_suggested to updatecollectionpackage (Rhbug:1779751)
  • Support issued date in epoch format in Python API (RhBug:1779751)
  • Allow parsing of xml repodata from string (RhBug: 1804308)
  • Remove expat xml library in favor of libxml2
  • Copy updateCollectionModule on assignment to prevent bogus data (RhBug:1821781)
  • Add --arch-expand option to mergerepo_c

libdnf

  • Update to 0.48.0
  • swdb: Catch only SQLite3 exceptions and simplify the messages
  • MergedTransaction list multiple comments (RhBug:1773679)
  • Modify CMake to pull *.po files from weblate
  • Optimize DependencyContainer creation from an existing queue
  • fix a memory leak in dnf_package_get_requires()
  • Fix memory leaks on g_build_filename()
  • Fix memory leak in dnf_context_setup()
  • Add hy_goal_favor and hy_goal_disfavor
  • Define a cleanup function for DnfPackageSet
  • dnf-repo: fix dnf_repo_get_public_keys double-free
  • Do not cache RPMDB
  • Use single-quotes around string literals used in SQL statements
  • SQLite3: Do not close the database if it wasn't opened (RhBug:1761976)
  • Don't create a new history DB connection for in-memory DB
  • transaction/Swdb: Use a single logger variable in constructor
  • utils: Add a safe version of pathExists()
  • swdb: Handle the case when pathExists() fails on e.g. permission
  • Repo: prepend "file://" if a local path is used as baseurl
  • Move urlEncode() to utils
  • utils: Add 'exclude' argument to urlEncode()
  • Encode package URL for downloading through librepo (RhBug:1817130)
  • Replace std::runtime_error with libdnf::RepoError
  • Fixes and error handling improvements of the File class
  • [context] Use ConfigRepo for gpgkey and baseurl (RhBug:1807864)
  • [context] support "priority" option in .repo config file (RhBug:1797265)

dnf

  • Fix behavior of install-n, autoremove-n, remove-n, repoquery-n
  • Fix behavior of localinstall and list-updateinfo aliases
  • Add updated field to verbose output of updateinfo list (RhBug: 1801092)
  • Add comment option to transaction (RhBug:1773679)
  • Add new API for handling gpg signatures (RhBug:1339617)
  • Verify GPG signatures when running dnf-automatic (RhBug:1793298)
  • Fix up Conflicts: on python-dnf-plugins-extras
  • [doc] Move yum-plugin-post-transaction-actions to dnf-plugins-core
  • Remove args "--set-enabled", "--set-disabled" from DNF (RhBug:1727882)
  • Search command is now alphabetical (RhBug:1811802)
  • Fix downloading packages with full URL as their location
  • repo: catch libdnf.error.Error in addition to RuntimeError in load() (RhBug:1788182)
  • History table to max size when redirect to file (RhBug:1786335,1786316)

dnf-plugins-core

  • Update to 4.0.16
  • [versionlock] Take obsoletes into account (RhBug:1627124)
  • Move args "--set-enabled", "--set-disabled" from DNF (RhBug:1727882)
  • Add missing arguments --set-enabled/--set-diabled into error message
  • Warn when --enablerepo/--disablerepo args were passed (RhBug:1727882)
  • [copr] add support for enabling/disabling runtime dependencies
  • [copr] no-liability text to be always printed

How to install

sudo dnf upgrade --advisory=FEDORA-2020-a943fde9ba

This update has been submitted for testing by nsella.

2 months ago

This update's test gating status has been changed to 'waiting'.

2 months ago

This update's test gating status has been changed to 'ignored'.

2 months ago
User Icon churchyard commented & provided feedback 2 months ago

I've got this recently:

Error: 
 Problem: package dnf-plugins-core-4.0.15-1.fc32.noarch requires python3-dnf-plugins-core = 4.0.15-1.fc32, but none of the providers can be installed
  - package dnf-4.2.23-1.fc32.noarch conflicts with python3-dnf-plugins-core < 4.0.16 provided by python3-dnf-plugins-core-4.0.15-1.fc32.noarch
  - cannot install the best candidate for the job

But I suspect it was only temporary, because of the buildroot override. Please consider using side tags for joined updates.

User Icon churchyard commented & provided feedback 2 months ago

I've got this recently:

Error: 
 Problem: package dnf-plugins-core-4.0.15-1.fc32.noarch requires python3-dnf-plugins-core = 4.0.15-1.fc32, but none of the providers can be installed
  - package dnf-4.2.23-1.fc32.noarch conflicts with python3-dnf-plugins-core < 4.0.16 provided by python3-dnf-plugins-core-4.0.15-1.fc32.noarch
  - cannot install the best candidate for the job

But I suspect it was only temporary, because of the buildroot override. Please consider using side tags for joined updates.

This update has been pushed to testing.

2 months ago
User Icon pwalter commented & provided feedback 2 months ago
karma

Works

User Icon atim provided feedback 2 months ago
karma

This update can be pushed to stable now if the maintainer wishes

2 months ago
User Icon zawertun commented & provided feedback 2 months ago
karma

Works for me 👍👍👍👍👍👍

User Icon zawertun commented & provided feedback 2 months ago

Works for me 👍

User Icon cairo provided feedback 2 months ago
karma
karma

This update has been submitted for stable by bodhi.

2 months ago

This update has been pushed to stable.

2 months ago

Please login to add feedback.

Metadata
Type
bugfix
Karma
5
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
5
Stable by Time
14 days
Dates
submitted
2 months ago
in testing
2 months ago
in stable
2 months ago
BZ#1582648 dnf search output is sorted by line length, not by name
0
0
BZ#1653607 history command – Add multi-line support for command lines' quotations
0
0
BZ#1654899 RFE: comments, history
0
0
BZ#1750745 dnf repoquery --unsatisfied: Problem: The operation would result in removing the following protected packages
0
0
BZ#1762697 Segfault with invalid update-md-path
0
0
BZ#1786316 dnf history command output is trimmed because of hardcoded 79 cols limit
0
0
BZ#1788182 [abrt] DNF raises RuntimeError when passing invalid values to `--repofrompath`
0
0
BZ#1808677 Upgrade of libdnf to libdnf-0.43.1-3.fc30.x86_64 breaks libdnf plugins in PackageKit
0
0

Automated Test Results

Test Cases

0 0 Test Case base update cli
0 0 Test Case langpacks packages